Forum Clubic

Paquets beryl pour debian sid

Bonjour, je me suis amusé hier à compiler beryl pour debian sid, et il marche vraiment nickel :slight_smile: (je suis dessous en ce moment !)

donc si ça intéresse du monde, je mets les paquets à disposition : http://vally8.free.fr/Beryl

téléchargez tous les .deb, mettez les dans le même dossier et lancer en root “dpkg -i *.deb” pour l’installer.
Il va surement vous manquer des dépendances, installez exactement le nom des paquets qu’il vous demande et relancez l’installation.

ATTENTION !!! ces paquet sont pour debian sid mise à jour et pas autre chose, en particulier, ils ne s’installeront surement pas (problème de paquet qui n’a pas le même nom) et ne marcheront peut-être pas sous ubuntu !

je les ai testé avec une nvidia (derniers drivers beta, tout marche nickel), intel (drivers libre, certains effets desactivés et un poil lent, mais ça marche) et radeon 9200 (driver libre, certains effets désactivés et quelques bugs graphiques mais plus rapide que intel)

une fois installé, lancez “beryl-manager” depuis une console, beryl va prendre le relais de votre gestionnaire de fenetre (j’ai testé sous KDE uniquement, mais c’est plus compatible avec gnome, donc il ne devrait pas y avoir de problèmes pour les gnomistes)
Il arrive parfois qu’au chargement, il n’arrive pas (bug ?) à charger le décorateur de fenetre, donc vos fenetres sont sans barre de titre… pour y remedier, cliquez sur l’icone de joyau (beryl) dans la barre des taches et cliquez sur “recharger le gestionnaire de fenetres” et/ou “recharger le décorateur de fenetres”

voila, amusez vous bien :wink:

Slt dis moi est ce que tu as trouvé de la doc sur la configuration de beryl parce que en ce moment j’en cherche mais je trouve rien (si possible en français j’aime pas l’anglais)
cordialement
XerXeSis

si tu parles de ompilation, bah nul part en particulier et un peu partout en général… j’ai fouillé sur le net et glané des infos à droite à gauche, en particulier sur le forum de beryl.

Mais si tu as une question, n’hésite pas à la poster… en particulier, j’ai aussi compilé beryl pour edgy, mais je 'ai pas mis mes paquets en lignes car il y a un dépot fait par un des dev de beryl bien plus simple à utiliser !
Mais si tu veux ces .deb ou savoir comment les compiler, n’hésite pas.

sinon, en parlant de configuration, j’ai oublié de donner les options indispensables de xorg.conf pour que ça marche :whistle:

dans la section "Screen", il faut ajouter les deux ligne :

Option "AddARGBGLXVisuals" "True"
Option "DisableGLXRootClipping" "True"

ainsi qu’ajouter l’option composite das la section Extensions (lacréer si elle n’existe pas)

Section "Extensions"
        Option "Composite" "Enable"
EndSection

voila, désolé de l’oubli :slight_smile:

Salut
en fait moi je te parlais d’un manuel pour le configurer a notre guise c’est a dire configurer les options par contre j’était sous edgy eft d’ubuntu et honnetement grace a cette version c’est super simple de l’installé je n’ai meme pas eu a touché le /etc/X11/xorg.conf je pense que pour moi l’option composite était désactivée puisque ça plante avec les cartes ati (a chaque fois j’avais droit un rendering no)
mais bon il est vrai que c’est quand meme magnifique assez difficile quand on a une petite carte graphique comme moi (9250se) mais c’était quand meme super le coup du cube et des fenetres qui se déforme quand on les déplaces
en tout cas merci de toutes tes info c’est vraiment super de faire partager tes connaissances dans ce domaine :super:

bah pour configurer, je passe par le beryl-settings, click sur l’icone de beryl dans la barre des taches et “Configurer les plugins” :wink:

oui mais je ne comprend rien a l’anglais et du coup pour moi toutes ces options sont incompréhensible d’ou ma question si il y a une aide en français ou bien si je peux toujours rever et du coup lacher l’affaire avec beryl-manager

http://img85.imageshack.us/img85/5889/capture8ii9.png

c’est pas mal en fraçais chez moi…il n’y a que quelques rares option ou alors les plugins les plus récents qui ne sont pas traduits ! t’es sur on parle bien de la même chose ? ou alors tu en as un version très ancienne peu traduite !

Au pire, toi qui dit t’ennuyez, t’as qu’a essayer de te le compiler :wink: tu verras c’est pas si simple :stuck_out_tongue:

bah mince tu as eu de la chance

Hum il y a un paquet compiz dans sid. Ce paquet est très très mal fait donc je ne suis pas sûr qu’il va rester longtemps dans la distribution.
Il faudrait que tu contactes les developpeurs debian qui ont packagé compiz et que tu leur montre ce que tu as fait (je n’ai pas encore regardé).
http://packages.debian.org/unstable/x11/compiz

je n’ai jamais testé le paquet compiz de cid, mais il me semble que c’est le même que moi (beryl, ils n’ont juste pas changé le nom) et comme les dossiers sources contiennent déjà les infos pour construire des paquets debian, ça c’est fait tout seul !
Donc si c’est bien beryl et pas compiz qu’ils ont packagé, je dois avoir la même chose qu’eux, à la version près.

Ce serait bien si tu avais mieux :wink:
En effet, le paquet compiz de sid n’est qu’un paquet contenant tout les fichiers nécessaires pour faire fonctionner compiz. Il n’installe rien de fonctionnel. Pire, il ne contient même pas une documentation précise expliquant comment réaliser cette installation. bref, après un apt-get install compiz, tu n’es pas vraiment avancé :frowning: (ce que fait dire à bcp de monde que ce paquet n’a pas ça place dans l’archive. A peine l’a t il dans experimental)

oula c’est grave alors ! étonnant qu’ils aient autant merdé sur ce coup… j’avoue ne pas avoir testé les paquets debian sur ce point.
Et surtout, je pensais qu’ils étaient encore en experimental, je ne savais pas qu’ils étaient déjà en sid !

je vais peut-être y jeter un oeil quand j’aurais le temps et voir ce qu’ils en disent sur les ml. peut-être qu’ils attendent etch pour bouger sur ce point, ou alors une version stable officielle de beryl (la 0.2 quand elle sortira)

xerxesis : pour ta carte graphique tu devrais plutot regarder du coté d’aiglx.
je l’utilise pour la 9200 mobility de mon laptop :slight_smile:

si tu utilise xorg 7.1 (celui de ubuntu edgy et debian sid) aiglx est activé par défaut. de plus beryl teste au lancement quelle méthode il peut utiliser dans cet ordre :

aiglx => drivers proprio nvidia série 9 => xgl

donc pas de soucis à priori, c’est bien ce qu’il doit utiliser !

Tout le monde ce demande ce que ce paquet fait dans sid…
Si le tiens pouvais le remplacer se serait déjà beaucoup mieux :slight_smile:
Contacte les.

je vais essayer de voir ça demain avec eux… mais bon, je suis pas sur que si j’arrive en leur disant cela ça va leur plaire… l’équipe X de debian (Debian X Strike Force de son petit nom ;)) est très compétente dans son domaine, et si elle ne fourni pas de paquets plus performant c’est surement qu’elle est occupée à autre chose ou qu’elle attend la sortie de la première version “stable” (pas trop quand même :ane:) officielle de beryl, la 0.2 qui devrait arriver dans pas trop longtemps (un ou deux mois)

Mais sinon, tu as testé mes paquets ? tu as l’air de dire qu’ils marchent mieux ?
Si ça t’intéresse (et pour les autres aussi ;)) demain de fais une mise à jour des sources et je retente une compilation. Si ç aà l’air de marcher mieux, j’upload les fichiers et je passe poster ça ici pour ceux qui seraient intéressés :wink: